[Mesh]
  type = GeneratedMesh
  dim = 2
  nx = 10
  ny = 10
[]

[Variables]
  [./u]
  [../]
[]

[AuxVariables]
  [./nearest_node]
  [../]
  [./mesh_function]
  [../]
[]

[Kernels]
  [./cd]
    type = CoefDiffusion
    variable = u
    coef = 0.1
  [../]
  [./td]
    type = TimeDerivative
    variable = u
  [../]
[]

[BCs]
  [./left]
    type = DirichletBC
    variable = u
    boundary = left
    value = 0
  [../]
  [./right]
    type = DirichletBC
    variable = u
    boundary = right
    value = 1
  [../]
[]

[Executioner]
  type = Transient
  dt = 0.01
  num_steps = 1
  nl_rel_tol = 1e-10
[]
